Redmine - Defect #36206

problem after updating production clone site to r21289
2021-11-18 03:00 - ChunChang (Nagaharu) Lo

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

Hello,

After updating my playground environment to revision 21289,
the database migration command failed with errors:

[shortie@centos8 redmine]$ bundle exec rake db:migrate RAILS_ENV="production"

rake aborted!

LoadError: cannot load such file -- rfpdf
/usr/share/gems/gems/zeitwerk—-2.4.2/1ib/zeitwerk/kernel.rb:34:in ‘require'
/usr/share/gems/gems/zeitwerk—-2.4.2/1ib/zeitwerk/kernel.rb:34:in "require'
/usr/share/gems/gems/activesupport-6.1.4.1/1lib/active_support/dependencies.rb:332:in “block in req
uire'

/usr/share/gems/gems/activesupport-6.1.4.1/1lib/active_support/dependencies.rb:299:in " load_depende
ncy'

/usr/share/gems/gems/activesupport-6.1.4.1/1ib/active_support/dependencies.rb:332:in "“require'
/var/www/html/redmine/lib/plugins/rfpdf/init.rb:2:in “block in <top (required)>'
/var/www/html/redmine/config/initializers/00-core_plugins.rb:10:in “eval'
/var/www/html/redmine/config/initializers/00-core_plugins.rb:10:in “block in <top (required)>'
/var/www/html/redmine/config/initializers/00-core_plugins.rb:4:in “each'
/var/www/html/redmine/config/initializers/00-core_plugins.rb:4:in "<top (required)>'
/usr/share/gems/gems/activesupport—-6.1.4.1/1lib/active_support/dependencies.rb:326:in "~ load'
/usr/share/gems/gems/activesupport-6.1.4.1/1lib/active_support/dependencies.rb:326:in "block in loa
d'

/usr/share/gems/gems/activesupport—6.1.4.1/1ib/active_support/dependencies.rb:299:in " load_depende
ncy'

/usr/share/gems/gems/activesupport—-6.1.4.1/1lib/active_support/dependencies.rb:326:in "~ load'
/usr/share/gems/gems/railties-6.1.4.1/1ib/rails/engine.rb:681:in "block in load_config_initializer
]

/usr/share/gems/gems/activesupport—-6.1.4.1/1lib/active_support/notifications.rb:205:in "instrument'
/usr/share/gems/gems/railties-6.1.4.1/1ib/rails/engine.rb:680:in "“load_config_initializer'
/usr/share/gems/gems/railties-6.1.4.1/1ib/rails/engine.rb:634:in "block (2 levels) in <class:Engin
e>!
/usr/share/gems/gems/railties—6.
/usr/share/gems/gems/railties—6.
/usr/share/gems/gems/railties—6.
/usr/share/gems/gems/railties-6.
/usr/share/gems/gems/railties—6.
/usr/share/gems/gems/railties—6.

.1/lib/rails/engine.rb:633:in “each'
.1/1lib/rails/engine.rb:633:in "block in <class:Engine>'
.1/1lib/rails/initializable.rb:32:in ‘instance_exec'
.1/1lib/rails/initializable.rb:32:in “run'
.1/1lib/rails/initializable.rb:61l:in ‘block in run_initializers'
.1/1ib/rails/initializable.rb:50:1in "each’
/usr/share/gems/gems/railties-6. .1/1lib/rails/initializable.rb:50:in "tsort_each_child"'
/usr/share/gems/gems/railties-6. .1/1lib/rails/initializable.rb:60:in ‘run_initializers'
/usr/share/gems/gems/railties-6.1.4.1/1ib/rails/application.rb:391:in “initialize!’
/var/www/html/redmine/config/environment.rb:16:in "<top (required)>"'
/usr/share/gems/gems/zeitwerk—-2.4.2/1ib/zeitwerk/kernel.rb:34:in "require'
/usr/share/gems/gems/zeitwerk—-2.4.2/1ib/zeitwerk/kernel.rb:34:in "“require'
/usr/share/gems/gems/activesupport-6.1.4.1/1lib/active_support/dependencies.rb:332:in "block in req
uire'

/usr/share/gems/gems/activesupport-6.1.4.1/1ib/active_support/dependencies.rb:299:in "~ load_depende
ncy'
/usr/share/gems/gems/activesupport—-6.1.4.1/1lib/active_support/dependencies.rb:332:in "require'
/usr/share/gems/gems/railties—-6.1.4.1/1ib/rails/application.rb:367:in ‘require_environment!'
/usr/share/gems/gems/railties-6.1.4.1/1ib/rails/application.rb:533:in ‘block in run_tasks_blocks'

/usr/share/gems/gems/rake-13.0.6/exe/rake:27:in " <top
/usr/local/share/gems/gems/bundler-2.
/usr/local/share/gems/gems/bundler—-2.
/usr/local/share/gems/gems/bundler-2.
/usr/local/share/gems/gems/bundler-2.
/usr/local/share/gems/gems/bundler-2.
/usr/local/share/gems/gems/bundler-2.

voke_command’'

/usr/local/share/gems/gems/bundler-2.
/usr/local/share/gems/gems/bundler-2.
/usr/local/share/gems/gems/bundler—-2.
/usr/local/share/gems/gems/bundler-2.
/usr/local/share/gems/gems/bundler-2.
/usr/local/share/gems/gems/bundler-2.

rs'

/usr/local/share/gems/gems/bundler-2.

“load'
<main>'

/usr/local/bin/bundle:23:1in
/usr/local/bin/bundle:23:in
Tasks:

1.
.4/1ib/bundler/cli/exec.rb:63:1in
.4/1ib/bundler/cli/exec.rb:28:1in
.4/1ib/bundler/cli.rb:476:1in
.4/1ib/bundler/vendor/thor/lib/thor/command.rb:27:in
.4/1ib/bundler/vendor/thor/lib/thor/invocation.rb:127:in

e

e e

.4/exe/bundle:34:in "~ <top

(required) >"'
4/1lib/bundler/cli/exec.rb:63:in "~ load'
“kernel_load'
“run'

“exec!

“run'

“in

.4/1ib/bundler/vendor/thor/lib/thor.rb:399:in “dispatch’
.4/lib/bundler/cli.rb:30:in “dispatch’

.4/1lib/bundler/vendor/thor/lib/thor/base.rb:476:in
.4/1lib/bundler/cli.rb:24:in
.4/exe/bundle:46:in ‘block in <top
.4/1ib/bundler/friendly_errors.rb:123:in ‘with_friendly_erro

“start!
‘start!
(required)>"'

(required) >'

TOP => db:migrate => db:load_config => environment

(See full trace by running task with —--trace)

Any workaround for this? Thanks in advance.

History

#1 - 2021-11-18 07:04 - Marius BALTEANU

Are you using any plugins?

#2 - 2021-11-18 07:06 - Go MAEDA

It looks like lib/plugins/rfpdf is causing an error, but rfpdf was removed 7 years ago in r13358. The current trunk does not have lib/plugins/rfpdf (see

source:trunk/lib/plugins).

Does removing lib/plugins/rfpd fix the issue?

#3 - 2021-11-18 17:46 - ChunChang (Nagaharu) Lo
Hi,

There is no plugin installed and the plugins directory is empty.
The redmine application is dead now after apache server restarted.

| will post more information reported by passenger.

#4 - 2021-11-18 18:09 - ChunChang (Nagaharu) Lo
- File passenger-error-vMkHbK. html added

It seems that redmine application can't be started because of missing rfpdf.

#5 - 2021-11-18 18:22 - ChunChang (Nagaharu) Lo

- Status changed from New to Resolved

Go MAEDA wrote:

It looks like lib/plugins/rfpdf is causing an error, but rfpdf was removed 7 years ago in r13358. The current trunk does not have lib/plugins/rfpdf

(see source:trunk/lib/plugins).

Does removing lib/plugins/rfpd fix the issue?

Ah, sorry, | didn't read your message carefully.

Yes. Problem was solved by removing the lib/plugins/rpdf directory.

Strangely, this directory dates back to 2013-08-12:
drwxr-xr-x. 5 apache apache 4096 Aug 12 2013 rfpdf

Anyway, thanks a lot. The playground site is back again. :)

#6 - 2021-11-18 18:32 - Marius BALTEANU
https://www.redmine.org/projects/redmine/repository/svn/revisions/13358
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/plugins
https://www.redmine.org/projects/redmine/repository/svn/revisions/13358
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/plugins

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for your feedback.

Nice to see a playground from 2013-08-12.

Files
